Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoFieldList Class Reference
[Field classes]

`#include <Inventor/lists/SoFieldList.h>`

Inheritance diagram for SoFieldList:

List of all members.

## Detailed Description

The SoFieldList class is a container for pointers to SoField objects.

See also:
  SbList

## Public Member Functions
| SoFieldList (void)
| SoFieldList (const int sizehint)
| SoFieldList (const SoFieldList &l)
void | append (SoField *field)
void | insert (SoField *field, const int insertbefore)
SoField * | operator[] (const int idx) const
void | set (const int idx, SoField *field)
SoField * | get (const int idx) const

## Constructor & Destructor Documentation

SoFieldList::SoFieldList | ( | void |  | ) | `[inline]`

| Default constructor.

SoFieldList::SoFieldList | ( | const int | sizehint | ) | `[inline]`

| This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items. See also: SbList::SbList(const int)

SoFieldList::SoFieldList | ( | const SoFieldList & | l | ) | `[inline]`

| Copy constructor. See also: SbList::SbList(const SbList<Type> & l)

## Member Function Documentation

void SoFieldList::append | ( | SoField * | field | ) | `[inline]`

| Overridden from parent to accept an SoField pointer argument.

void SoFieldList::insert | ( | SoField * | field,
|  | const int | insertbefore
| ) | `[inline]`

| Overridden from parent to accept an SoField pointer argument.

SoField * SoFieldList::operator[] | ( | const int | idx | ) | const`[inline]`

| Overridden from parent to return an SoField pointer. Reimplemented from SbPList.

void SoFieldList::set | ( | const int | index,
|  | SoField * | item
| ) | `[inline]`

| Overridden from parent to accept an SoField pointer argument.

SoField * SoFieldList::get | ( | const int | idx | ) | const`[inline]`

| Overridden from parent to return an SoField pointer. Reimplemented from SbPList.

The documentation for this class was generated from the following files:

- SoFieldList.h
- SoFieldList.cpp